@charset "UTF-8";
/* Typography */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400;1,400&display=swap');
@import url('../fonts/rye.css');
@import url('../../../assets/fonts/fontawesome/all.min.css');

@font-face {
	font-family: "MeteoconsRegular";
	font-style: normal;
	font-weight: normal;
	src:	url('../fonts/meteocons-webfont.woff') format('woff');
}

body {
  margin: 0;
  font-family: "Poppins", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #403f4e;
  text-align: left;
  background-color: #fff;
}

.banner {
	width: 100%;
	height: auto;
	max-height: 30rem;
	margin-top: 3.5rem;
	text-align: center;
	background-color: #afba50;
}

.bnr-home {
	background: #afba50 url('../img/landing.jpg') top center no-repeat;
}

.bnr-qualify {
	background: #f1c96b url('../img/qualifying.jpg') top center no-repeat;
}

.bnr-faq {
	background: #afba50 url('../img/faq.jpg') top center no-repeat;
}

.bnr-home, .bnr-qualify, .bnr-faq {
	opacity: 0;
	animation-name: fadeIn;
	animation-iteration-count: 1;
	animation-timing-function: ease-in-out;
	animation-duration: 0.3s;
	animation-fill-mode:forwards;
}

@keyframes fadeIn {
	0% {
		opacity: 0;
  }
  100% {
  	opacity: 1;
  }
}

.page-wrapper {
	width: 100%;
	max-width: 90rem; /* 1440px */
	margin: 0 auto;
	background-color: #fff;
	border-radius: 0;
	transition: border-radius 0.2s ease-in-out;
}

@media (max-width: 1439.98px) {
	.bnr-home, .bnr-qualify, .bnr-faq {
		background-size: contain;
	}
}

@media (min-width: 1440px) {
	.page-wrapper { border-radius: 0 0 1rem 1rem; }
}

a:not([class]) {
  color: #e17c3c;
  text-decoration: none;
}

a:not([class]):hover {
	color: #f89c59;
  text-decoration: underline;
}

hr {
  margin-top: 2rem;
  margin-bottom: 2rem;
  border: 0;
  border-top: 1px solid rgba(0,0,0, 0.15);
  border-bottom: 1px solid rgba(255,255,255, 0.2);
}

hr.dashed {
  margin-top: 2rem;
  margin-bottom: 2rem;
  border: 0;
  border-top: 1px dashed rgba(0,0,0, 0.15);
}

hr.dotted {
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
  border: 0;
  border-top: 1px dotted rgba(0,0,0, 0.15);
}

hr.rule-papaya {
	margin-top: 1.5rem;
  margin-bottom: 1.5rem;
	border: 0;
	border-top: 2px solid #e5806a;
}

hr.rule-nectarine {
	margin-top: 1.5rem;
  margin-bottom: 1.5rem;
	border: 0;
	border-top: 2px solid #f89c59;
}

hr.rule-avocado {
	margin-top: 1.5rem;
  margin-bottom: 1.5rem;
	border: 0;
	border-top: 3px solid #afba50;
}

ul.list-styled > li, ol.list-styled > li {
	margin-bottom: 0.5rem;
}

ul.list-styled > li:last-child, ol.list-styled > li:last-child {
	margin-bottom: 0;
}

h1, .h1 {
	font-family: "Rye", sans-serif;
  font-size: 3rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: -0.03em;
  line-height: 1;
  color: #f89c59;
}

.rye-sm {
	font-size: 50% !important;
	vertical-align: 0.5rem;
}

h2, .h2 {
	font-family: "Poppins", sans-serif;
  font-size: 2rem;
  font-weight: 700;
  line-height: 1;
  color: #8d9d00;
}

h3, .h3 {
	font-family: "Poppins", sans-serif;
	font-weight: 600;
  font-size: 1.66rem;
  color: #e5806a;
  text-transform: uppercase;
}

.card-header > h3 {
	margin-bottom: 0;
}

h4, .h4 {
	font-family: "Poppins", sans-serif;
	font-weight: 600;
  font-size: 1.33rem;
  color: #212529;
}

h5, .h5 {
  font-size: 1.125rem;
  font-weight: 600;
}

h6, .h6 {
  font-size: 0.86rem;
  font-weight: 600;
}

.text-semibold {
	font-weight: 600;
}

.lead {
	font-family: "Lora", serif;
	font-size: 1.33rem;
	font-style: italic;
	line-height: 1.33;
	color: #8d9d00;
}

.text-papaya { color: #e5806a !important; }
.text-nectarine { color: #f89c59 !important; }

.bg-darkhue {
	background-color: #2e332d; /* avocado peel */
}

.bg-avocado {
	background-color: #afba50;
}

.bg-avocado-tint {
	background-color: rgba(175,186,80, 0.10) !important;
}

.border-avocado {
	border-color: rgba(175,186,80, 0.70) !important;
}

.bg-mink-pale {
	background-color: #f0efec;
}

.bg-nectarine {
	background-color: #f89c59;
}

.bg-nectarine-tint {
	background-color: rgba(248,156,89, 0.10) !important;
}

.border-nectarine {
	border-color: rgba(248,156,89, 0.70) !important;
}

.card > .table {
	margin-bottom: 0;
}

.card > .table tr:last-child td {
	border: none;
}

td.text-right {
	text-align: right;
}

p.disclaimer {
	margin-bottom: 0;
	font-size: 0.86rem;
	color: #686868;
}

footer.footer p {
	margin-bottom: 0;
	font-size: 0.86rem;
	text-align: center;
	color: #74746d;
}

footer.footer a {
  color: #8a6341;
  text-decoration: none;
}

footer.footer a:hover {
  color: #af7649;
  text-decoration: underline;
}

.navbar-dark {
  --bs-navbar-color: #f1c96b;
  --bs-navbar-hover-color: #f89c59;
  --bs-navbar-disabled-color: rgba(241,201,107, 0.50);
  --bs-navbar-active-color: #f89c59;
  --bs-navbar-brand-color: #f1c96b;
  --bs-navbar-brand-hover-color: #f89c59;
  --bs-navbar-toggler-border-color: rgba(248,156,89, 0.5);
  --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28248, 156, 89, 0.85%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.navbar-toggler {
  color: #f89c59;
}

@media (prefers-reduced-motion: reduce) {
  .navbar-toggler {
    transition: none;
  }
}

.navbar-toggler:hover {
  text-decoration: none;
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: 0 0 0 var(--bs-navbar-toggler-focus-width);
}

.navbar-brand {
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  padding-left: 2.33rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  font-weight: 500;
  text-decoration: none;
  white-space: nowrap;
  background: url('../img/riviera-maya-icon32.png') 0 50% no-repeat;
}

/* ================================ */
/* ++++++++++ FAQ styles ++++++++++ */
.faq-list {
	margin-top: 2rem;
	margin-bottom: 2rem;
	font-size: 1.125rem;
	font-weight: 600;
	line-height: 1.2;
	color: #8d9d00;
}

.faq-list li {
	margin-bottom: 1rem;
	padding-bottom: 0.5rem;
	border-bottom: 2px dotted rgba(175,186,80, 0.50); /* Avocado 50% tint */
}

.faq-list > li h4 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-family: "Poppins", sans-serif;
  font-size: 1.125rem;
  font-weight: 600;
  line-height: 1.33;
  color: #8d9d00;
}

.faq-list li p {
  margin-top: 0;
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #403f4e;
}

.faq-list > li ul,
.faq-list > li ol {
	font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #444;
}

.faq-list > li ul li,
.faq-list > li ol li {
	padding-bottom: 0;
	border-bottom: 0;
}

.faq-list table {
	font-size: 1rem;
}

.faq-list table tr {
	background-color: #fff;
}

.faq-list table td {
	font-weight: 400;
}

@media only screen and (max-width: 991.98px) {
	/* Force table to not be like tables anymore */
	.table-nomore table,
	.table-nomore thead,
	.table-nomore tbody,
	.table-nomore th,
	.table-nomore td,
	.table-nomore tr {
		display: block;
		border: 0;
	}
	/* Hide table headers (but not display: none;, for accessibility) */
	.table-nomore thead tr {
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	.table-nomore tr {
		margin-bottom: 0.5rem;
		border: 1px solid rgba(0,0,0, 0.10);
		border-radius: 0.25rem;
	}
	.table-nomore td {
		/* Behave  like a "row" */
		width: 100%;
		border: none;
		border-bottom: 1px solid rgba(0,0,0, 0.08);
		position: relative;
		padding: 0.375rem;
		padding-left: 50% !important;
		white-space: normal;
		text-align: right !important;
	}
	.table-nomore td:before {
		/* Now like a table header */
		position: absolute;
		/* Top/left values mimic padding */
		top: 0.375rem;
		left: 0.375rem;
		width: 45%;
		padding-right: 0.5rem;
		padding-right: 0.375rem;
		font-weight: 400;
		white-space: nowrap;
		text-align: left;
	}
	/* Label the data */
	.table-nomore td:before { content: attr(data-title); }
	.table-nomore td.cell-nomore { display: none !important; }
	.table-nomore td.cell-nomore:before { display: none !important; }
}

img.logo {
	width: 100%;
	max-width: 640px;
}

/* target IE 8, 9 and 10 */
@media screen\0 {
	img.logo {
		width: 100%;
		max-width: 640px;
	}
}

/* target IE Edge 12+ */
@supports (-ms-accelerator:true) {
	img.logo {
		width: 100%;
		max-width: 640px;
	}
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
	.sticky-top {
		position: -webkit-sticky;
		position: sticky;
		top: 4rem;
		z-index: 1020;
	}
}

/* ======================================== */
/* ++++++++++ [Countdown styles] ++++++++++ */
/* ======================================== */
p.countdown-legend {
	color: #8d9d00;
}

ul.countdown {
	list-style: none;
	display: table;
	width: 100%;
	padding: 0;
	margin: 1rem 0 0 0;
	text-align: center;
}

ul.countdown li {
	display: table-cell;
	width: 25%;
	margin: 0;
	padding: 0.25rem 0 0 0;
}

ul.countdown li span {
	font-size: 1.5rem;
	font-weight: bold;
	line-height: 1;
	color: #403f4e;
	opacity: 0.67;
	text-shadow: 0 1px 1px rgba(255,255,255, 1);
}

ul.countdown li p {
	padding: 2px 5px 4px;
	margin: 2px 0 0 0;
	font-size: 0.86rem;
	font-weight: bold;
	color: rgba(64,63,78, 0.67);
}

.day-count {
	background-color: #fbc095;
	border-top-left-radius: 0.25rem;
	border-bottom-left-radius: 0.25rem;
}

.days_ref {
	background-color: #f9ae77;
	border-bottom-left-radius: 0.25rem;
}

.hour-count { background-color: #fcd2b4; }
.hours_ref { background-color: #fbc095; }
.minute-count { background-color: #fde4d2; }
.minutes_ref { background-color: #fcd2b4; }

.second-count {
	background-color: #feede1;
	border-top-right-radius: 0.25rem;
	border-bottom-right-radius: 0.25rem;
}

.seconds_ref {
	background-color: #fde4d2;
	border-bottom-right-radius: 0.25rem;
}

/* ========================================== */
/* ++++++++++ openweathermap styles ++++++++++ */
/* ========================================== */
.weather {
  width: 100%;
  min-height: 10rem;
  margin: 0 auto;
  text-align: center;
  color: #8d9d00;
}

i[class*='icon-'] {
  color: #afba50;
  font-family: "MeteoconsRegular";
  font-size: 3rem;
  font-weight: normal;
  font-style: normal;
  line-height: 1;
  vertical-align: -0.25rem;
}

.icon-01d:before { content: "B"; }
.icon-01n:before { content: "C"; }
.icon-02d:before { content: "H"; }
.icon-02n:before { content: "I"; }
.icon-03d:before { content: "N"; }
.icon-03n:before { content: "N"; }
.icon-04d:before { content: "Y"; }
.icon-04n:before { content: "Y"; }
.icon-09d:before { content: "R"; }
.icon-09n:before { content: "R"; }
.icon-10d:before { content: "R"; }
.icon-10n:before { content: "R"; }
.icon-11d:before { content: "O"; }
.icon-11n:before { content: "O"; }
.icon-13d:before { content: "W"; }
.icon-13n:before { content: "W"; }
.icon-50d:before { content: "M"; }
.icon-50n:before { content: "M"; }

.weather h3 {
	margin-top: 0;
	color: #afba50;
}

.weather h4 > sup {
	vertical-align: -0.66rem;
}

.wdescr {
	text-transform: capitalize;
}
/* +++ temperature display +++ */
.weather h4 {
  margin: 0 0 0.5rem 0;
  color: #afba50;
  font-family: "Poppins", sans-serif;
  font-size: 3rem;
  font-weight: 300;
  text-align: center;
  text-shadow: 0px 1px 2px rgba(0,61,100, 0.3);
}

.weather h6 {
  color: #afba50;
}

.weather ul {
  margin: 0;
  padding: 0;
}

.weather li {
	margin: 0.25rem;
  padding: 0.25rem 0.5rem;
  display: inline-block;
  background: rgba(175,186,80, 0.20);
  border-radius: 0.25rem;
}

/* =================================== */
/* ++++++++++[ #map styles ]++++++++++ */
/* =================================== */
#map {
	width: 100%;
	height: 100%;
	line-height: normal;
}

.marker-balloon {
	color: #003d64;
}

/*
|--------------------------------------------------------------------------
| UItoTop jQuery Plugin 1.2
| http://www.mattvarone.com/web-design/uitotop-jquery-plugin/
|--------------------------------------------------------------------------
*/

#toTop {
	display: none;
	position: fixed;
	bottom: 1rem;
	right: 1rem;
	width: 2rem;
	height: 2rem;
	border: none;
	font-family: "Font Awesome 6 Pro";
	font-size: 2rem;
	line-height: 1;
	text-indent: 0;
	vertical-align: top;
	text-decoration: none;
	color: rgba(175,186,80, 0.50);
	opacity: 1;
	filter:alpha(opacity=100);
	z-index: 2001;
}

#toTopHover {
	position: fixed;
	bottom: 1rem;
	right: 1rem;
	width: 2rem;
	height: 2rem;
	border: none;
	font-family: "Font Awesome 6 Pro";
	font-size: 2rem;
	line-height: 1;
	text-indent: 0;
	vertical-align: top;
	text-decoration: none;
	color: #afba50;
	opacity: 0;
	filter:alpha(opacity=0);
	z-index: 2003;
}

#toTop:active, #toTop:focus {
	outline: none;
}